CREATE TABLE EMPLOYEE (
  EMPNO CHAR(6) NOT NULL,
  FIRSTNME VARCHAR(12) NOT NULL,
  MIDINIT CHAR(1),
  LASTNAME VARCHAR(15) NOT NULL,
  WORKDEPT CHAR(3),
  PHONENO CHAR(4),
  HIREDATE DATE,
  JOB CHAR(8),
  EDLEVEL SMALLINT NOT NULL,
  SEX CHAR(1),
  BIRTHDATE DATE,
  SALARY DECIMAL(9,2),
  BONUS DECIMAL(9,2),
  COMM DECIMAL(9,2)
);

ALTER TABLE EMPLOYEE ADD CONSTRAINT PK_EMPLOYEE PRIMARY KEY (EMPNO);

CREATE TABLE EMP_PHOTO (
  EMPNO CHAR(6) NOT NULL,
  PHOTO_FORMAT VARCHAR(10) NOT NULL,
  PICTURE BLOB(102400)
);

ALTER TABLE EMP_PHOTO ADD CONSTRAINT PK_EMP_PHOTO PRIMARY KEY (EMPNO, PHOTO_FORMAT);

CREATE TABLE EMP_RESUME (
  EMPNO CHAR(6) NOT NULL,
  RESUME_FORMAT VARCHAR(10) NOT NULL,
  RESUME CLOB(5120)
);

ALTER TABLE EMP_RESUME ADD CONSTRAINT PK_EMP_RESUME PRIMARY KEY (EMPNO, RESUME_FORMAT);

